import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'applied_staff_reviews_controller.dart';

import 'package:plugin_basic/base/base_state.dart';
import 'package:plugin_basic/base/base_stateful_page.dart';
import 'package:plugin_basic/utils/ext_get_nav.dart';
import 'package:router/path/router_path.dart';
import 'package:shared/utils/screen_util.dart';
import 'package:widgets/my_appbar.dart';

import 'applied_staff_reviews_state.dart';

class AppliedStaffReviewsPage extends BaseStatefulPage<AppliedStaffReviewsController> {
  AppliedStaffReviewsPage({Key? key}) : super(key: key);

  //启动当前页面
  static void startInstance(String? memberId) {
    return Get.start(RouterPath.JOB_APPLIED_STAFF_REVIEWS, arguments: {'memberId': memberId});
  }

  @override
  AppliedStaffReviewsController createRawController() {
    return AppliedStaffReviewsController();
  }

  @override
  State<AppliedStaffReviewsPage> createState() => _AppliedStaffReviewsState();
}

class _AppliedStaffReviewsState extends BaseState<AppliedStaffReviewsPage, AppliedStaffReviewsController> {
  late AppliedStaffReviewsState state;

  @override
  void initState() {
    super.initState();
    state = controller.state;
    state.memberId = Get.arguments['memberId'];
  }

  @override
  Widget build(BuildContext context) {
    return autoCtlGetBuilder(builder: (controller) {
      return Scaffold(
        extendBodyBehindAppBar: true,
        appBar: MyAppBar.appBar(context, "Reset Password".tr),
        body: SafeArea(
          bottom: true,
          top: false,
          child: Container(
            width: double.infinity,
            height: double.infinity,
            padding: EdgeInsets.only(top: kToolbarHeight + ScreenUtil.getStatusBarH(context) + 1),
            decoration: const BoxDecoration(
              gradient: LinearGradient(
                colors: [
                  Color(0xFF091D44),
                  Color(0xFF245A8A),
                  Color(0xFF7F7CEC),
                ],
                begin: Alignment.topCenter,
                end: Alignment.bottomCenter,
              ),
            ),
            child: Container(),
          ),
        ),
      );
    });
  }
}
